io.undertow

## Class UndertowLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - io.undertow.UndertowLogger_$logger

All Implemented Interfaces:
  UndertowLogger, Serializable, org.jboss.logging.BasicLogger

    @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
               date="2022-12-09T08:00:04-0300")
    public class UndertowLogger_$logger
    extends org.jboss.logging.DelegatingBasicLogger
    implements UndertowLogger, org.jboss.logging.BasicLogger, Serializable

Warning this class consists of generated code.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

`log`

### Fields inherited from interface io.undertow.UndertowLogger

`CLIENT_LOGGER, ERROR_RESPONSE, PREDICATE_LOGGER, PROXY_REQUEST_LOGGER, REQUEST_DUMPER_LOGGER, REQUEST_IO_LOGGER, REQUEST_LOGGER, ROOT_LOGGER, SECURITY_LOGGER, SESSION_LOGGER`

### Constructor Summary

Constructors
Constructor and Description
`UndertowLogger_$logger(org.jboss.logging.Logger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `alpnConnectionFailed(org.xnio.ssl.SslConnection connection)`
`protected String` `alpnConnectionFailed$str()`
`void` `authenticationFailed(String userName, String mechanism)`
`protected String` `authenticationFailed$str()`
`void` `authenticationFailedFor(String header, HttpServerExchange exchange, Exception e)`
`protected String` `authenticationFailedFor$str()`
`void` `balancerCreated(int id, String name, boolean stickySession, String stickySessionCookie, String stickySessionPath, boolean stickySessionRemove, boolean stickySessionForce, int waitWorker, int maxattempts)`
`protected String` `balancerCreated$str()`
`void` `blockingReadTimedOut(org.xnio.channels.ReadTimeoutException rte)`
`protected String` `blockingReadTimedOut$str()`
`void` `blockingWriteTimedOut(org.xnio.channels.WriteTimeoutException rte)`
`protected String` `blockingWriteTimedOut$str()`
`void` `cannotProxyStartedRequest(HttpServerExchange exchange)`
`protected String` `cannotProxyStartedRequest$str()`
`void` `cannotRemoveUploadedFile(Path file)`
`protected String` `cannotRemoveUploadedFile$str()`
`IllegalArgumentException` `cannotUseWildcardAddressAsModClusterManagementHost(String providedAddress)`
`protected String` `cannotUseWildcardAddressAsModClusterManagementHost$str()`
`void` `closeAsyncFailed(IOException e)`
`protected String` `closeAsyncFailed$str()`
`void` `couldNotRegisterChangeListener(Exception e)`
`protected String` `couldNotRegisterChangeListener$str()`
`IOException` `dataLargerThanContentLength(long totalToWrite, long responseContentLength)`
`protected String` `dataLargerThanContentLength$str()`
`void` `directBufferDeallocationFailed(Throwable t)`
`protected String` `directBufferDeallocationFailed$str()`
`void` `directBufferDeallocatorInitializationFailed(Throwable t)`
`protected String` `directBufferDeallocatorInitializationFailed$str()`
`void` `errorRotatingAccessLog(IOException e)`
`protected String` `errorRotatingAccessLog$str()`
`void` `errorWritingAccessLog(IOException e)`
`protected String` `errorWritingAccessLog$str()`
`void` `errorWritingJDBCLog(Exception e)`
`protected String` `errorWritingJDBCLog$str()`
`void` `exceptionGeneratingErrorPage(Exception e, String location)`
`protected String` `exceptionGeneratingErrorPage$str()`
`void` `exceptionHandlingRequest(Throwable t, String requestURI)`
`protected String` `exceptionHandlingRequest$str()`
`void` `exceptionInvokingCloseListener(ServerConnection.CloseListener l, Throwable e)`
`protected String` `exceptionInvokingCloseListener$str()`
`void` `exceptionProcessingRequest(Throwable cause)`
`protected String` `exceptionProcessingRequest$str()`
`void` `extendedAccessLogBadXParam()`
`protected String` `extendedAccessLogBadXParam$str()`
`void` `extendedAccessLogCannotDecode(String chars)`
`protected String` `extendedAccessLogCannotDecode$str()`
`void` `extendedAccessLogCannotDecodeXParamValue(String value)`
`protected String` `extendedAccessLogCannotDecodeXParamValue$str()`
`void` `extendedAccessLogEmptyPattern()`
`protected String` `extendedAccessLogEmptyPattern$str()`
`void` `extendedAccessLogMissingClosing()`
`protected String` `extendedAccessLogMissingClosing$str()`
`void` `extendedAccessLogPatternParseError(Throwable t)`
`protected String` `extendedAccessLogPatternParseError$str()`
`void` `extendedAccessLogUnknownToken(String token)`
`protected String` `extendedAccessLogUnknownToken$str()`
`void` `failedToAcceptSSLRequest(Exception e)`
`protected String` `failedToAcceptSSLRequest$str()`
`void` `failedToInvokeFailedCallback(ServerSentEventConnection.EventCallback callback, Exception e)`
`protected String` `failedToInvokeFailedCallback$str()`
`void` `failedToNegotiateAtGSSAPI(HttpServerExchange exchange, Throwable e)`
`protected String` `failedToNegotiateAtGSSAPI$str()`
`void` `failedToObtainSubject(HttpServerExchange exchange, GeneralSecurityException e)`
`protected String` `failedToObtainSubject$str()`
`void` `failedToParseRequest(Throwable e)`
`protected String` `failedToParseRequest$str()`
`void` `failedToProcessManagementReq(Exception e)`
`protected String` `failedToProcessManagementReq$str()`
`void` `failedToSendPingResponse(Exception e)`
`protected String` `failedToSendPingResponse$str()`
`void` `failedToSendPingResponseDBG(Exception e, String node, String jvmRoute)`
`protected String` `failedToSendPingResponseDBG$str()`
`void` `failedToWriteJdbcAccessLog(Exception e)`
`protected String` `failedToWriteJdbcAccessLog$str()`
`void` `failedToWritePreCachedFile()`
`protected String` `failedToWritePreCachedFile$str()`
`protected Locale` `getLoggingLocale()`
`void` `handleUnexpectedFailure(Throwable t)`
`protected String` `handleUnexpectedFailure$str()`
`void` `httpClientPingTask(URI connection)`
`protected String` `httpClientPingTask$str()`
`void` `ignoringAjpRequestWithPrefixCode(byte prefix)`
`protected String` `ignoringAjpRequestWithPrefixCode$str()`
`void` `invalidTokenReceived(String tokenName, String tokenValue)`
`protected String` `invalidTokenReceived$str()`
`void` `ioException(IOException e)`
`protected String` `ioException$str()`
`void` `ioExceptionReadingFromChannel(IOException e)`
`protected String` `ioExceptionReadingFromChannel$str()`
`void` `listenerNotProgressing()`
`protected String` `listenerNotProgressing$str()`
`IllegalStateException` `maxRestartsExceeded(int maxRestarts)`
`protected String` `maxRestartsExceeded$str()`
`void` `mcmpHandlerCreated()`
`protected String` `mcmpHandlerCreated$str()`
`void` `mcmpKeyValue(HttpString name, String value)`
`protected String` `mcmpKeyValue$str()`
`void` `mcmpProcessingError(String type, String errString)`
`protected String` `mcmpProcessingError$str()`
`void` `mcmpSendingResponse(InetSocketAddress destination, int status, HeaderMap headers, String response)`
`protected String` `mcmpSendingResponse$str()`
`void` `missingAuthorizationToken(String tokenName)`
`protected String` `missingAuthorizationToken$str()`
`void` `noALPNFallback(SocketAddress address)`
`protected String` `noALPNFallback$str()`
`void` `nodeConfigCreated(URI connectionURI, String balancer, String domain, String jvmRoute, boolean flushPackets, int flushwait, int ping, long ttl, int timeout, int maxConnections, int cacheConnections, int requestQueueSize, boolean queueNewRequests)`
`protected String` `nodeConfigCreated$str()`
`void` `nodeIsInError(String jvmRoute)`
`protected String` `nodeIsInError$str()`
`IllegalArgumentException` `nullParameter(String name)`
`protected String` `nullParameter$str()`
`void` `oldStylePredicateSyntax(String string)`
`protected String` `oldStylePredicateSyntax$str()`
`void` `parseRequestTimedOut(SocketAddress remoteAddress)`
`protected String` `parseRequestTimedOut$str()`
`void` `potentialCrossTalking(InetAddress group, String s, String localizedMessage)`
`protected String` `potentialCrossTalking$str()`
`void` `proxyAdvertiseCannotSendMessage(Exception e, InetSocketAddress address)`
`protected String` `proxyAdvertiseCannotSendMessage$str()`
`void` `proxyAdvertisementsStarted(String address, int frequency)`
`protected String` `proxyAdvertisementsStarted$str()`
`void` `proxyAdvertiseMessagePayload(String payload)`
`protected String` `proxyAdvertiseMessagePayload$str()`
`void` `proxyFailedToConnectToBackend(String requestURI, URI uri)`
`protected String` `proxyFailedToConnectToBackend$str()`
`void` `proxyRequestFailed(String requestURI, Exception e)`
`protected String` `proxyRequestFailed$str()`
`void` `receivedNodeLoad(String jvmRoute, String loadValue)`
`protected String` `receivedNodeLoad$str()`
`void` `registeringContext(String contextPath, String jvmRoute)`
`void` `registeringContext(String contextPath, String jvmRoute, List<String> aliases)`
`protected String` `registeringContext2$str()`
`protected String` `registeringContext3$str()`
`void` `registeringNode(String jvmRoute, URI connectionURI)`
`protected String` `registeringNode$str()`
`void` `remoteEndpointFailedToSendInitialSettings(int type)`
`protected String` `remoteEndpointFailedToSendInitialSettings$str()`
`void` `removingNode(String jvmRoute)`
`protected String` `removingNode$str()`
`void` `requestHeaderWasTooLarge(SocketAddress address, int size)`
`protected String` `requestHeaderWasTooLarge$str()`
`void` `requestWasNotFullyConsumed()`
`protected String` `requestWasNotFullyConsumed$str()`
`void` `responseWasNotTerminated(ServerConnection connection, HttpServerExchange exchange)`
`protected String` `responseWasNotTerminated$str()`
`void` `resumedAndDispatched()`
`protected String` `resumedAndDispatched$str()`
`void` `sslBufferOverflow(SslConduit sslConduit)`
`protected String` `sslBufferOverflow$str()`
`void` `sslEngineDelegatedTaskRejected(RejectedExecutionException ree)`
`protected String` `sslEngineDelegatedTaskRejected$str()`
`void` `sslReadLoopDetected(SslConduit sslConduit)`
`protected String` `sslReadLoopDetected$str()`
`void` `stickySessionCookieLengthTruncated(String original, String current)` Undertow mod_cluster proxy messages
`protected String` `stickySessionCookieLengthTruncated$str()`
`void` `stuckThreadCompleted(String threadName, long threadId, long active, int stuckCount)`
`protected String` `stuckThreadCompleted$str()`
`void` `stuckThreadDetected(String threadName, long threadId, long active, Date start, String requestUri, int threshold, int stuckCount, Throwable stackTrace)`
`protected String` `stuckThreadDetected$str()`
`void` `timingOutRequest(String requestURI)`
`protected String` `timingOutRequest$str()`
`IllegalStateException` `unableToResolveModClusterManagementHost(String providedHost)`
`protected String` `unableToResolveModClusterManagementHost$str()`
`void` `undertowRequestFailed(Throwable t, HttpServerExchange exchange)`
`protected String` `undertowRequestFailed$str()`
`IOException` `unexpectedEndOfCompressedInput()`
`protected String` `unexpectedEndOfCompressedInput$str()`
`void` `unknownVariable(String token)`
`protected String` `unknownVariable$str()`
`void` `unregisteringContext(String contextPath, String jvmRoute)`
`protected String` `unregisteringContext$str()`

### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.logging.BasicLogger

`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

### Constructor Detail

#### UndertowLogger_$logger

    public UndertowLogger_$logger(org.jboss.logging.Logger log)

### Method Detail

#### getLoggingLocale

    protected Locale getLoggingLocale()

#### exceptionProcessingRequest

    public final void exceptionProcessingRequest(Throwable cause)

Specified by:
  `exceptionProcessingRequest` in interface `UndertowLogger`

#### exceptionProcessingRequest$str

    protected String exceptionProcessingRequest$str()

#### ioExceptionReadingFromChannel

    public final void ioExceptionReadingFromChannel(IOException e)

Specified by:
  `ioExceptionReadingFromChannel` in interface `UndertowLogger`

#### ioExceptionReadingFromChannel$str

    protected String ioExceptionReadingFromChannel$str()

#### cannotRemoveUploadedFile

    public final void cannotRemoveUploadedFile(Path file)

Specified by:
  `cannotRemoveUploadedFile` in interface `UndertowLogger`

#### cannotRemoveUploadedFile$str

    protected String cannotRemoveUploadedFile$str()

#### requestHeaderWasTooLarge

    public final void requestHeaderWasTooLarge(SocketAddress address,
                                               int size)

Specified by:
  `requestHeaderWasTooLarge` in interface `UndertowLogger`

#### requestHeaderWasTooLarge$str

    protected String requestHeaderWasTooLarge$str()

#### requestWasNotFullyConsumed

    public final void requestWasNotFullyConsumed()

Specified by:
  `requestWasNotFullyConsumed` in interface `UndertowLogger`

#### requestWasNotFullyConsumed$str

    protected String requestWasNotFullyConsumed$str()

#### invalidTokenReceived

    public final void invalidTokenReceived(String tokenName,
                                           String tokenValue)

Specified by:
  `invalidTokenReceived` in interface `UndertowLogger`

#### invalidTokenReceived$str

    protected String invalidTokenReceived$str()

#### missingAuthorizationToken

    public final void missingAuthorizationToken(String tokenName)

Specified by:
  `missingAuthorizationToken` in interface `UndertowLogger`

#### missingAuthorizationToken$str

    protected String missingAuthorizationToken$str()

#### authenticationFailed

    public final void authenticationFailed(String userName,
                                           String mechanism)

Specified by:
  `authenticationFailed` in interface `UndertowLogger`

#### authenticationFailed$str

    protected String authenticationFailed$str()

#### ignoringAjpRequestWithPrefixCode

    public final void ignoringAjpRequestWithPrefixCode(byte prefix)

Specified by:
  `ignoringAjpRequestWithPrefixCode` in interface `UndertowLogger`

#### ignoringAjpRequestWithPrefixCode$str

    protected String ignoringAjpRequestWithPrefixCode$str()

#### ioException

    public final void ioException(IOException e)

Specified by:
  `ioException` in interface `UndertowLogger`

#### ioException$str

    protected String ioException$str()

#### failedToParseRequest

    public final void failedToParseRequest(Throwable e)

Specified by:
  `failedToParseRequest` in interface `UndertowLogger`

#### failedToParseRequest$str

    protected String failedToParseRequest$str()

#### errorRotatingAccessLog

    public final void errorRotatingAccessLog(IOException e)

Specified by:
  `errorRotatingAccessLog` in interface `UndertowLogger`

#### errorRotatingAccessLog$str

    protected String errorRotatingAccessLog$str()

#### errorWritingAccessLog

    public final void errorWritingAccessLog(IOException e)

Specified by:
  `errorWritingAccessLog` in interface `UndertowLogger`

#### errorWritingAccessLog$str

    protected String errorWritingAccessLog$str()

#### unknownVariable

    public final void unknownVariable(String token)

Specified by:
  `unknownVariable` in interface `UndertowLogger`

#### unknownVariable$str

    protected String unknownVariable$str()

#### exceptionInvokingCloseListener

    public final void exceptionInvokingCloseListener(ServerConnection.CloseListener l,
                                                     Throwable e)

Specified by:
  `exceptionInvokingCloseListener` in interface `UndertowLogger`

#### exceptionInvokingCloseListener$str

    protected String exceptionInvokingCloseListener$str()

#### errorWritingJDBCLog

    public final void errorWritingJDBCLog(Exception e)

Specified by:
  `errorWritingJDBCLog` in interface `UndertowLogger`

#### errorWritingJDBCLog$str

    protected String errorWritingJDBCLog$str()

#### exceptionGeneratingErrorPage

    public final void exceptionGeneratingErrorPage(Exception e,
                                                   String location)

Specified by:
  `exceptionGeneratingErrorPage` in interface `UndertowLogger`

#### exceptionGeneratingErrorPage$str

    protected String exceptionGeneratingErrorPage$str()

#### exceptionHandlingRequest

    public final void exceptionHandlingRequest(Throwable t,
                                               String requestURI)

Specified by:
  `exceptionHandlingRequest` in interface `UndertowLogger`

#### exceptionHandlingRequest$str

    protected String exceptionHandlingRequest$str()

#### couldNotRegisterChangeListener

    public final void couldNotRegisterChangeListener(Exception e)

Specified by:
  `couldNotRegisterChangeListener` in interface `UndertowLogger`

#### couldNotRegisterChangeListener$str

    protected String couldNotRegisterChangeListener$str()

#### timingOutRequest

    public final void timingOutRequest(String requestURI)

Specified by:
  `timingOutRequest` in interface `UndertowLogger`

#### timingOutRequest$str

    protected String timingOutRequest$str()

#### proxyRequestFailed

    public final void proxyRequestFailed(String requestURI,
                                         Exception e)

Specified by:
  `proxyRequestFailed` in interface `UndertowLogger`

#### proxyRequestFailed$str

    protected String proxyRequestFailed$str()

#### proxyFailedToConnectToBackend

    public final void proxyFailedToConnectToBackend(String requestURI,
                                                    URI uri)

Specified by:
  `proxyFailedToConnectToBackend` in interface `UndertowLogger`

#### proxyFailedToConnectToBackend$str

    protected String proxyFailedToConnectToBackend$str()

#### listenerNotProgressing

    public final void listenerNotProgressing()

Specified by:
  `listenerNotProgressing` in interface `UndertowLogger`

#### listenerNotProgressing$str

    protected String listenerNotProgressing$str()

#### remoteEndpointFailedToSendInitialSettings

    public final void remoteEndpointFailedToSendInitialSettings(int type)

Specified by:
  `remoteEndpointFailedToSendInitialSettings` in interface `UndertowLogger`

#### remoteEndpointFailedToSendInitialSettings$str

    protected String remoteEndpointFailedToSendInitialSettings$str()

#### parseRequestTimedOut

    public final void parseRequestTimedOut(SocketAddress remoteAddress)

Specified by:
  `parseRequestTimedOut` in interface `UndertowLogger`

#### parseRequestTimedOut$str

    protected String parseRequestTimedOut$str()

#### noALPNFallback

    public final void noALPNFallback(SocketAddress address)

Specified by:
  `noALPNFallback` in interface `UndertowLogger`

#### noALPNFallback$str

    protected String noALPNFallback$str()

#### stickySessionCookieLengthTruncated

    public final void stickySessionCookieLengthTruncated(String original,
                                                         String current)

Description copied from interface: `UndertowLogger`
Undertow mod_cluster proxy messages

Specified by:
  `stickySessionCookieLengthTruncated` in interface `UndertowLogger`

#### stickySessionCookieLengthTruncated$str

    protected String stickySessionCookieLengthTruncated$str()

#### balancerCreated

    public final void balancerCreated(int id,
                                      String name,
                                      boolean stickySession,
                                      String stickySessionCookie,
                                      String stickySessionPath,
                                      boolean stickySessionRemove,
                                      boolean stickySessionForce,
                                      int waitWorker,
                                      int maxattempts)

Specified by:
  `balancerCreated` in interface `UndertowLogger`

#### balancerCreated$str

    protected String balancerCreated$str()

#### proxyAdvertisementsStarted

    public final void proxyAdvertisementsStarted(String address,
                                                 int frequency)

Specified by:
  `proxyAdvertisementsStarted` in interface `UndertowLogger`

#### proxyAdvertisementsStarted$str

    protected String proxyAdvertisementsStarted$str()

#### proxyAdvertiseMessagePayload

    public final void proxyAdvertiseMessagePayload(String payload)

Specified by:
  `proxyAdvertiseMessagePayload` in interface `UndertowLogger`

#### proxyAdvertiseMessagePayload$str

    protected String proxyAdvertiseMessagePayload$str()

#### proxyAdvertiseCannotSendMessage

    public final void proxyAdvertiseCannotSendMessage(Exception e,
                                                      InetSocketAddress address)

Specified by:
  `proxyAdvertiseCannotSendMessage` in interface `UndertowLogger`

#### proxyAdvertiseCannotSendMessage$str

    protected String proxyAdvertiseCannotSendMessage$str()

#### mcmpHandlerCreated

    public final void mcmpHandlerCreated()

Specified by:
  `mcmpHandlerCreated` in interface `UndertowLogger`

#### mcmpHandlerCreated$str

    protected String mcmpHandlerCreated$str()

#### mcmpProcessingError

    public final void mcmpProcessingError(String type,
                                          String errString)

Specified by:
  `mcmpProcessingError` in interface `UndertowLogger`

#### mcmpProcessingError$str

    protected String mcmpProcessingError$str()

#### removingNode

    public final void removingNode(String jvmRoute)

Specified by:
  `removingNode` in interface `UndertowLogger`

#### removingNode$str

    protected String removingNode$str()

#### registeringContext

    public final void registeringContext(String contextPath,
                                         String jvmRoute)

Specified by:
  `registeringContext` in interface `UndertowLogger`

#### registeringContext2$str

    protected String registeringContext2$str()

#### registeringContext

    public final void registeringContext(String contextPath,
                                         String jvmRoute,
                                         List<String> aliases)

Specified by:
  `registeringContext` in interface `UndertowLogger`

#### registeringContext3$str

    protected String registeringContext3$str()

#### unregisteringContext

    public final void unregisteringContext(String contextPath,
                                           String jvmRoute)

Specified by:
  `unregisteringContext` in interface `UndertowLogger`

#### unregisteringContext$str

    protected String unregisteringContext$str()

#### nodeIsInError

    public final void nodeIsInError(String jvmRoute)

Specified by:
  `nodeIsInError` in interface `UndertowLogger`

#### nodeIsInError$str

    protected String nodeIsInError$str()

#### nodeConfigCreated

    public final void nodeConfigCreated(URI connectionURI,
                                        String balancer,
                                        String domain,
                                        String jvmRoute,
                                        boolean flushPackets,
                                        int flushwait,
                                        int ping,
                                        long ttl,
                                        int timeout,
                                        int maxConnections,
                                        int cacheConnections,
                                        int requestQueueSize,
                                        boolean queueNewRequests)

Specified by:
  `nodeConfigCreated` in interface `UndertowLogger`

#### nodeConfigCreated$str

    protected String nodeConfigCreated$str()

#### failedToProcessManagementReq

    public final void failedToProcessManagementReq(Exception e)

Specified by:
  `failedToProcessManagementReq` in interface `UndertowLogger`

#### failedToProcessManagementReq$str

    protected String failedToProcessManagementReq$str()

#### failedToSendPingResponse

    public final void failedToSendPingResponse(Exception e)

Specified by:
  `failedToSendPingResponse` in interface `UndertowLogger`

#### failedToSendPingResponse$str

    protected String failedToSendPingResponse$str()

#### failedToSendPingResponseDBG

    public final void failedToSendPingResponseDBG(Exception e,
                                                  String node,
                                                  String jvmRoute)

Specified by:
  `failedToSendPingResponseDBG` in interface `UndertowLogger`

#### failedToSendPingResponseDBG$str

    protected String failedToSendPingResponseDBG$str()

#### registeringNode

    public final void registeringNode(String jvmRoute,
                                      URI connectionURI)

Specified by:
  `registeringNode` in interface `UndertowLogger`

#### registeringNode$str

    protected String registeringNode$str()

#### mcmpKeyValue

    public final void mcmpKeyValue(HttpString name,
                                   String value)

Specified by:
  `mcmpKeyValue` in interface `UndertowLogger`

#### mcmpKeyValue$str

    protected String mcmpKeyValue$str()

#### httpClientPingTask

    public final void httpClientPingTask(URI connection)

Specified by:
  `httpClientPingTask` in interface `UndertowLogger`

#### httpClientPingTask$str

    protected String httpClientPingTask$str()

#### receivedNodeLoad

    public final void receivedNodeLoad(String jvmRoute,
                                       String loadValue)

Specified by:
  `receivedNodeLoad` in interface `UndertowLogger`

#### receivedNodeLoad$str

    protected String receivedNodeLoad$str()

#### mcmpSendingResponse

    public final void mcmpSendingResponse(InetSocketAddress destination,
                                          int status,
                                          HeaderMap headers,
                                          String response)

Specified by:
  `mcmpSendingResponse` in interface `UndertowLogger`

#### mcmpSendingResponse$str

    protected String mcmpSendingResponse$str()

#### potentialCrossTalking

    public final void potentialCrossTalking(InetAddress group,
                                            String s,
                                            String localizedMessage)

Specified by:
  `potentialCrossTalking` in interface `UndertowLogger`

#### potentialCrossTalking$str

    protected String potentialCrossTalking$str()

#### oldStylePredicateSyntax

    public final void oldStylePredicateSyntax(String string)

Specified by:
  `oldStylePredicateSyntax` in interface `UndertowLogger`

#### oldStylePredicateSyntax$str

    protected String oldStylePredicateSyntax$str()

#### maxRestartsExceeded$str

    protected String maxRestartsExceeded$str()

#### maxRestartsExceeded

    public final IllegalStateException maxRestartsExceeded(int maxRestarts)

Specified by:
  `maxRestartsExceeded` in interface `UndertowLogger`

#### extendedAccessLogPatternParseError

    public final void extendedAccessLogPatternParseError(Throwable t)

Specified by:
  `extendedAccessLogPatternParseError` in interface `UndertowLogger`

#### extendedAccessLogPatternParseError$str

    protected String extendedAccessLogPatternParseError$str()

#### extendedAccessLogUnknownToken

    public final void extendedAccessLogUnknownToken(String token)

Specified by:
  `extendedAccessLogUnknownToken` in interface `UndertowLogger`

#### extendedAccessLogUnknownToken$str

    protected String extendedAccessLogUnknownToken$str()

#### extendedAccessLogMissingClosing

    public final void extendedAccessLogMissingClosing()

Specified by:
  `extendedAccessLogMissingClosing` in interface `UndertowLogger`

#### extendedAccessLogMissingClosing$str

    protected String extendedAccessLogMissingClosing$str()

#### extendedAccessLogCannotDecode

    public final void extendedAccessLogCannotDecode(String chars)

Specified by:
  `extendedAccessLogCannotDecode` in interface `UndertowLogger`

#### extendedAccessLogCannotDecode$str

    protected String extendedAccessLogCannotDecode$str()

#### extendedAccessLogCannotDecodeXParamValue

    public final void extendedAccessLogCannotDecodeXParamValue(String value)

Specified by:
  `extendedAccessLogCannotDecodeXParamValue` in interface `UndertowLogger`

#### extendedAccessLogCannotDecodeXParamValue$str

    protected String extendedAccessLogCannotDecodeXParamValue$str()

#### extendedAccessLogBadXParam

    public final void extendedAccessLogBadXParam()

Specified by:
  `extendedAccessLogBadXParam` in interface `UndertowLogger`

#### extendedAccessLogBadXParam$str

    protected String extendedAccessLogBadXParam$str()

#### extendedAccessLogEmptyPattern

    public final void extendedAccessLogEmptyPattern()

Specified by:
  `extendedAccessLogEmptyPattern` in interface `UndertowLogger`

#### extendedAccessLogEmptyPattern$str

    protected String extendedAccessLogEmptyPattern$str()

#### failedToWriteJdbcAccessLog

    public final void failedToWriteJdbcAccessLog(Exception e)

Specified by:
  `failedToWriteJdbcAccessLog` in interface `UndertowLogger`

#### failedToWriteJdbcAccessLog$str

    protected String failedToWriteJdbcAccessLog$str()

#### failedToWritePreCachedFile

    public final void failedToWritePreCachedFile()

Specified by:
  `failedToWritePreCachedFile` in interface `UndertowLogger`

#### failedToWritePreCachedFile$str

    protected String failedToWritePreCachedFile$str()

#### undertowRequestFailed

    public final void undertowRequestFailed(Throwable t,
                                            HttpServerExchange exchange)

Specified by:
  `undertowRequestFailed` in interface `UndertowLogger`

#### undertowRequestFailed$str

    protected String undertowRequestFailed$str()

#### stuckThreadDetected

    public final void stuckThreadDetected(String threadName,
                                          long threadId,
                                          long active,
                                          Date start,
                                          String requestUri,
                                          int threshold,
                                          int stuckCount,
                                          Throwable stackTrace)

Specified by:
  `stuckThreadDetected` in interface `UndertowLogger`

#### stuckThreadDetected$str

    protected String stuckThreadDetected$str()

#### stuckThreadCompleted

    public final void stuckThreadCompleted(String threadName,
                                           long threadId,
                                           long active,
                                           int stuckCount)

Specified by:
  `stuckThreadCompleted` in interface `UndertowLogger`

#### stuckThreadCompleted$str

    protected String stuckThreadCompleted$str()

#### failedToInvokeFailedCallback

    public final void failedToInvokeFailedCallback(ServerSentEventConnection.EventCallback callback,
                                                   Exception e)

Specified by:
  `failedToInvokeFailedCallback` in interface `UndertowLogger`

#### failedToInvokeFailedCallback$str

    protected String failedToInvokeFailedCallback$str()

#### unableToResolveModClusterManagementHost$str

    protected String unableToResolveModClusterManagementHost$str()

#### unableToResolveModClusterManagementHost

    public final IllegalStateException unableToResolveModClusterManagementHost(String providedHost)

Specified by:
  `unableToResolveModClusterManagementHost` in interface `UndertowLogger`

#### sslReadLoopDetected

    public final void sslReadLoopDetected(SslConduit sslConduit)

Specified by:
  `sslReadLoopDetected` in interface `UndertowLogger`

#### sslReadLoopDetected$str

    protected String sslReadLoopDetected$str()

#### sslBufferOverflow

    public final void sslBufferOverflow(SslConduit sslConduit)

Specified by:
  `sslBufferOverflow` in interface `UndertowLogger`

#### sslBufferOverflow$str

    protected String sslBufferOverflow$str()

#### alpnConnectionFailed

    public final void alpnConnectionFailed(org.xnio.ssl.SslConnection connection)

Specified by:
  `alpnConnectionFailed` in interface `UndertowLogger`

#### alpnConnectionFailed$str

    protected String alpnConnectionFailed$str()

#### resumedAndDispatched

    public final void resumedAndDispatched()

Specified by:
  `resumedAndDispatched` in interface `UndertowLogger`

#### resumedAndDispatched$str

    protected String resumedAndDispatched$str()

#### cannotProxyStartedRequest

    public final void cannotProxyStartedRequest(HttpServerExchange exchange)

Specified by:
  `cannotProxyStartedRequest` in interface `UndertowLogger`

#### cannotProxyStartedRequest$str

    protected String cannotProxyStartedRequest$str()

#### cannotUseWildcardAddressAsModClusterManagementHost$str

    protected String cannotUseWildcardAddressAsModClusterManagementHost$str()

#### cannotUseWildcardAddressAsModClusterManagementHost

    public final IllegalArgumentException cannotUseWildcardAddressAsModClusterManagementHost(String providedAddress)

Specified by:
  `cannotUseWildcardAddressAsModClusterManagementHost` in interface `UndertowLogger`

#### unexpectedEndOfCompressedInput$str

    protected String unexpectedEndOfCompressedInput$str()

#### unexpectedEndOfCompressedInput

    public final IOException unexpectedEndOfCompressedInput()

Specified by:
  `unexpectedEndOfCompressedInput` in interface `UndertowLogger`

#### dataLargerThanContentLength$str

    protected String dataLargerThanContentLength$str()

#### dataLargerThanContentLength

    public final IOException dataLargerThanContentLength(long totalToWrite,
                                                         long responseContentLength)

Specified by:
  `dataLargerThanContentLength` in interface `UndertowLogger`

#### responseWasNotTerminated

    public final void responseWasNotTerminated(ServerConnection connection,
                                               HttpServerExchange exchange)

Specified by:
  `responseWasNotTerminated` in interface `UndertowLogger`

#### responseWasNotTerminated$str

    protected String responseWasNotTerminated$str()

#### failedToAcceptSSLRequest

    public final void failedToAcceptSSLRequest(Exception e)

Specified by:
  `failedToAcceptSSLRequest` in interface `UndertowLogger`

#### failedToAcceptSSLRequest$str

    protected String failedToAcceptSSLRequest$str()

#### closeAsyncFailed

    public final void closeAsyncFailed(IOException e)

Specified by:
  `closeAsyncFailed` in interface `UndertowLogger`

#### closeAsyncFailed$str

    protected String closeAsyncFailed$str()

#### nullParameter$str

    protected String nullParameter$str()

#### nullParameter

    public final IllegalArgumentException nullParameter(String name)

Specified by:
  `nullParameter` in interface `UndertowLogger`

#### handleUnexpectedFailure

    public final void handleUnexpectedFailure(Throwable t)

Specified by:
  `handleUnexpectedFailure` in interface `UndertowLogger`

#### handleUnexpectedFailure$str

    protected String handleUnexpectedFailure$str()

#### directBufferDeallocatorInitializationFailed

    public final void directBufferDeallocatorInitializationFailed(Throwable t)

Specified by:
  `directBufferDeallocatorInitializationFailed` in interface `UndertowLogger`

#### directBufferDeallocatorInitializationFailed$str

    protected String directBufferDeallocatorInitializationFailed$str()

#### directBufferDeallocationFailed

    public final void directBufferDeallocationFailed(Throwable t)

Specified by:
  `directBufferDeallocationFailed` in interface `UndertowLogger`

#### directBufferDeallocationFailed$str

    protected String directBufferDeallocationFailed$str()

#### blockingReadTimedOut

    public final void blockingReadTimedOut(org.xnio.channels.ReadTimeoutException rte)

Specified by:
  `blockingReadTimedOut` in interface `UndertowLogger`

#### blockingReadTimedOut$str

    protected String blockingReadTimedOut$str()

#### blockingWriteTimedOut

    public final void blockingWriteTimedOut(org.xnio.channels.WriteTimeoutException rte)

Specified by:
  `blockingWriteTimedOut` in interface `UndertowLogger`

#### blockingWriteTimedOut$str

    protected String blockingWriteTimedOut$str()

#### sslEngineDelegatedTaskRejected

    public final void sslEngineDelegatedTaskRejected(RejectedExecutionException ree)

Specified by:
  `sslEngineDelegatedTaskRejected` in interface `UndertowLogger`

#### sslEngineDelegatedTaskRejected$str

    protected String sslEngineDelegatedTaskRejected$str()

#### authenticationFailedFor

    public final void authenticationFailedFor(String header,
                                              HttpServerExchange exchange,
                                              Exception e)

Specified by:
  `authenticationFailedFor` in interface `UndertowLogger`

#### authenticationFailedFor$str

    protected String authenticationFailedFor$str()

#### failedToObtainSubject

    public final void failedToObtainSubject(HttpServerExchange exchange,
                                            GeneralSecurityException e)

Specified by:
  `failedToObtainSubject` in interface `UndertowLogger`

#### failedToObtainSubject$str

    protected String failedToObtainSubject$str()

#### failedToNegotiateAtGSSAPI

    public final void failedToNegotiateAtGSSAPI(HttpServerExchange exchange,
                                                Throwable e)

Specified by:
  `failedToNegotiateAtGSSAPI` in interface `UndertowLogger`

#### failedToNegotiateAtGSSAPI$str

    protected String failedToNegotiateAtGSSAPI$str()